import java.io.*;

public class EulerIntegrator extends Integrator
{
     public EulerIntegrator(Modell modell)
     {
         super(modell);
     }

     public void zeitschritt(double dt)
     {
         for(int i=0;i<modell.holeAnzahlGleichungen();i++)
             y_alt[i] = y[i];

         for(int i=0;i<modell.holeAnzahlGleichungen();i++)
         {
             y[i] = y_alt[i] + modell.rechteSeite(i,y_alt,t); 
         }     
         
         t+=dt;
     }
     
     public static void main(String[] args)
     {
         if(args.length!=2)
         {
             System.out.println("Benutzung des Programms:");
             System.out.println("EulerIntegrator <C> <D>");
             System.exit(0);
         }
     
         double C = Double.parseDouble(args[0]);
         double D = Double.parseDouble(args[1]);
         SchwingerModell modell = new SchwingerModell(C,D);
         EulerIntegrator integrator = new EulerIntegrator(modell);
         double[] y = {1.0,0.0};
         integrator.setzeAnfangsbedingungen(y);
                          
         try
         {
             PrintWriter pw = new PrintWriter(new FileWriter("data.txt"));
         
             for(int i=0;i<100;i++)
             {
                 pw.println(integrator.t+" "+integrator.y[0]);
                 System.out.println(integrator.t+" "+integrator.y[0]);
                 integrator.zeitschritt(0.1);
             }

             pw.close();         
         
             Runtime runtime = Runtime.getRuntime();
             runtime.exec("C:/Programme/scilab-4.1/bin/Scilex.exe -e exec(\'zeige.sce\')");
         }
         catch(Exception e)
         {
         }
     }
}